<script setup lang="ts">
const props = defineProps({
  data: {
    type: Array,
    default: Array<{
      content: ''
    }>,
  },
})

const emit = defineEmits(['changeList'])

const dataList = ref([...props.data] as any)

watch(
  () => dataList.value,
  (nv) => {
    emit('changeList', nv)
  },
)
// function onClear() {}
</script>

<template>
  <div v-for="(item, index) in dataList" :key="index" class="deformation-box">
    <div class="tit">
      <div class="tit_left">添加变形{{ index }}</div>
      <el-col :span="15">
        <el-input v-model="item.wordTitle" placeholder="请输入" />
      </el-col>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.deformation-box {
  border: 1px solid gray;
  border-radius: 8px;
}
</style>
